Package com.xebialabs.xlrelease.domain.events

# Class CommentDeletedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.CommentDeletedEvent

All Implemented Interfaces:
  `CommentEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class CommentDeletedEvent extends Object implements CommentEvent, scala.Product, Serializable
Event published when a comment has been deleted. param: task the task to which the comment belongs. param: comment a copy of the deleted comment.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommentDeletedEvent(Task task, Comment comment)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CommentDeletedEvent`
  `apply(Task task, Comment comment)`
  `boolean`
  `canEqual(Object x$1)`
  `Comment`
  `comment()`
  `CommentDeletedEvent`
  `copy(Task task, Comment comment)`
  `Task`
  `copy$default$1()`
  `Comment`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Task`
  `task()`
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<Task,Comment>>`
  `unapply(CommentDeletedEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### CommentDeletedEvent

    public CommentDeletedEvent(Task task, Comment comment)

- ## Method Details

  - ### apply

    public static CommentDeletedEvent apply(Task task, Comment comment)

  - ### unapply

    public static scala.Option<scala.Tuple2<Task,Comment>> unapply(CommentDeletedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### task

    public Task task()

  - ### comment

    public Comment comment()

  - ### copy

    public CommentDeletedEvent copy(Task task, Comment comment)

  - ### copy$default$1

    public Task copy$default$1()

  - ### copy$default$2

    public Comment copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`